ros-noetic-cob-voltage-control (0.7.17-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 29 Apr 2024 22:00:00 -0000

ros-noetic-cob-voltage-control (0.7.16-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 19 Feb 2024 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.15-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 05 Nov 2023 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.14-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.13-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-voltage-control (0.7.12-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.11-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.10-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.9-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.8-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-voltage-control (0.7.7-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-voltage-control (0.7.6-2focal) focal; urgency=high

  * Merge pull request #423 <https://github.com/ipa320/cob_driver/issues/423> from mikaelarguedas/python2-deps
    ROS_PYTHON_VERSION conditional dependency for python-tk and python-numpy
  * ROS_PYTHON_VERSION conditional dependency for python-tk
  * Contributors: Felix Messmer, Mikael Arguedas

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-voltage-control (0.7.5-2focal) focal; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-voltage-control (0.7.4-2focal) focal; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * ROS_PYTHON_VERSION conditional dependency for matplotlib
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-noetic-cob-voltage-control (0.7.3-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.2-2focal) focal; urgency=high

  * Merge pull request #409 <https://github.com/ipa320/cob_driver/issues/409> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix pylint errors
  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.1-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-voltage-control (0.7.0-2focal) focal; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.15-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.14-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.13-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-voltage-control (0.6.12-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.11-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-voltage-control (0.6.10-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.9-2focal) focal; urgency=high

  * Update csv_processing.launch
  * manually fix changelog
  * Contributors: Felix Messmer, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.8-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.7-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.6-2focal) focal; urgency=high

  * beautify
  * Merge branch 'aggregated_power_message' into feature/raw_batterie_state
    Conflicts:
    cob_voltage_control/common/src/cob_voltage_control_common.cpp
    cob_voltage_control/ros/src/cob_voltage_control_ros.cpp
  * voltage and current measurements for raw3-3
  * use aggregated power state message
  * changed name relayboard to powerboard
  * removed debug outputs
  * fixed topic names
  * Contributors: Benjamin Maidel, ipa-bnm, ipa-fmw

 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.5-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.4-2focal) focal; urgency=high

  * explicit dependency to boost
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.3-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.2-2focal) focal; urgency=high

  * fix install tag
  * Tested on cob4-2
  * make record current and voltage generic
  * Contributors: ipa-cob4-2

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-cob-voltage-control (0.6.1-2focal) focal; urgency=high

  * merge conflict
  * Deleted CurrentMeasurement.msg
  * Re-add time_volt
  * reocord current script and launch file
  * fix install tags
  * Current measurement
  * Removed emergency model and custom Relayboard
  * Merge branch 'groovy_dev' of https://github.com/ipa320/cob_driver into groovy_dev
    Conflicts:
    cob_relayboard/ros/src/new_method.py
    cob_relayboard/ros/src/relayboard_sim.py
  * Voltage filter now on the config folder
  * Changes
  * Adjusting path for the required files
  * More thrash
  * Removing some thrash
  * License
  * Modifications for the battery characterization on the robot
  * Contributors: Thiago de Freitas, ipa-cob4-2, ipa-nhg, thiagodefreitas, mailto:thiagodefreitas@gmail.com

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-noetic-cob-voltage-control (0.6.0-2focal) focal; urgency=high

  * trying to fix cob_voltage_control buildfarm error
  * missing dependency
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-noetic-cob-voltage-control (0.5.7-2focal) focal; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * merge
  * move EmergencyStopState.msg to cob_msgs + PowerBoardState works again
  * changes due to introduction of cob_msgs
  * added message to submit voltage data
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * increased receive buffer
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * Update package.xml
  * fix
  * fix
  * voltage ctrl over phidgets
  * voltage info from phidgets
  * work in progress voltagectrl with cob_phidget
    Merge branch 'groovy_dev' into feature/voltagectrl_newphidget
    Conflicts:
    cob_voltage_control/ros/src/cob_voltage_control_ros.cpp
  * voltagectrl work in progress
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Weisshardt, Nadia Hammoudeh García, ipa-bnm, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-noetic-cob-voltage-control (0.5.6-2focal) focal; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * merge
  * move EmergencyStopState.msg to cob_msgs + PowerBoardState works again
  * changes due to introduction of cob_msgs
  * added message to submit voltage data
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * increased receive buffer
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * Update package.xml
  * fix
  * fix
  * voltage ctrl over phidgets
  * voltage info from phidgets
  * work in progress voltagectrl with cob_phidget
    Merge branch 'groovy_dev' into feature/voltagectrl_newphidget
    Conflicts:
    cob_voltage_control/ros/src/cob_voltage_control_ros.cpp
  * voltagectrl work in progress
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Weisshardt, Nadia Hammoudeh García, ipa-bnm, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-noetic-cob-voltage-control (0.5.3-2focal) focal; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-noetic-cob-voltage-control (0.5.2-2focal) focal; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-noetic-cob-voltage-control (0.5.1-2focal) focal; urgency=high

  * some install tag updates
  * removed phidget21.h include inside main source file due to missing header guard
  * bug fix in voltage_control
  * remove old rosbuild import
  * merged with groovy_dev upstream
  * No need for the stds, thrash from the voltage checks on robot-at-work
  * Modification from RAW3-1
  * Installation stuff
  * fix for battery dashboard
  * V instead of mV
  * use v not mV
  * Set parameter nedded for battery monitor
  * cleaned up CMakeLists and added install directives
  * further modifications for catkin, now everything is compiling and linking
  * Removed csv files from the cob_voltage_control
  * Changed launch file to be related to each robot
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * debugging voltage filter
  * fix launch file
  * nasty fix for rob3-6
  * Changes the modes nomenclatures
  * More organization to the voltage commit
  * Organizing the voltage filter commit
  * Reverting new method
  * Method modification on the robot
  * Reverting new method
  * Merge branch 'groovy_dev' of github.com:thiagodefreitas/cob_driver into groovy_dev
    Conflicts:
    cob_voltage_control/ros/src/new_method.py
  * Method
  * Modifications to the modes
  * Mods
  * Launch files
  * IPA PC
  * Starting real time implementation
  * Saved at home computer
  * Mods
  * More mods on the battery statistics
  * Mods on the plots
  * Starting the statistical analysis of the battery
  * added topic for relayboard message
  * changed mapping of em state topics to make sense for gui
  * added parameters
  * added simple voltage calculation
  * changes with sensor attached
  * initial version of cob_voltage_control
  * Contributors: Alexander Bubeck, Frederik Hegger, Thiago de Freitas, Thiago de Freitas Oliveira Araujo, abubeck, ipa-bnm, ipa-cob3-4, ipa-cob3-6, ipa-cob3-7, ipa-fmw, robot, thiagodefreitas, mailto:thiagodefreitas@gmail.com

 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000


